# Fixed reference example. Playground inputs do not update this sample.
curl --request POST \
--url https://api.aisa.one/apis/v1/dataforseo/serp/google/organic/task_post \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '[
{
"language_code": "en",
"location_code": 2840,
"keyword": "albert einstein"
},
{
"language_name": "English",
"location_name": "United States",
"keyword": "albert einstein",
"priority": 2,
"tag": "some_string_123",
"pingback_url": "https://your-server.com/pingscript?id=$id&tag=$tag"
},
{
"url": "https://www.google.co.uk/search?q=albert%20einstein&hl=en&gl=GB&uule=w+CAIQIFISCXXeIa8LoNhHEZkq1d1aOpZS",
"postback_data": "html",
"postback_url": "https://your-server.com/postbackscript"
}
]'curl --request POST \
--url https://api.aisa.one/apis/v1/dataforseo/serp/google/organic/task_post \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
[
{
"keyword": "albert einstein",
"language_code": "en",
"location_code": 2840
},
{
"keyword": "albert einstein",
"language_name": "English",
"location_name": "United States",
"pingback_url": "https://your-server.com/pingscript?id=$id&tag=$tag",
"priority": 2,
"tag": "some_string_123"
},
{
"postback_data": "html",
"postback_url": "https://your-server.com/postbackscript",
"url": "https://www.google.co.uk/search?q=albert%20einstein&hl=en&gl=GB&uule=w+CAIQIFISCXXeIa8LoNhHEZkq1d1aOpZS"
}
]
'import requests
url = "https://api.aisa.one/apis/v1/dataforseo/serp/google/organic/task_post"
payload = [
{
"keyword": "albert einstein",
"language_code": "en",
"location_code": 2840
},
{
"keyword": "albert einstein",
"language_name": "English",
"location_name": "United States",
"pingback_url": "https://your-server.com/pingscript?id=$id&tag=$tag",
"priority": 2,
"tag": "some_string_123"
},
{
"postback_data": "html",
"postback_url": "https://your-server.com/postbackscript",
"url": "https://www.google.co.uk/search?q=albert%20einstein&hl=en&gl=GB&uule=w+CAIQIFISCXXeIa8LoNhHEZkq1d1aOpZS"
}
]
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify([
{keyword: 'albert einstein', language_code: 'en', location_code: 2840},
{
keyword: 'albert einstein',
language_name: 'English',
location_name: 'United States',
pingback_url: 'https://your-server.com/pingscript?id=$id&tag=$tag',
priority: 2,
tag: 'some_string_123'
},
{
postback_data: 'html',
postback_url: 'https://your-server.com/postbackscript',
url: 'https://www.google.co.uk/search?q=albert%20einstein&hl=en&gl=GB&uule=w+CAIQIFISCXXeIa8LoNhHEZkq1d1aOpZS'
}
])
};
fetch('https://api.aisa.one/apis/v1/dataforseo/serp/google/organic/task_post', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aisa.one/apis/v1/dataforseo/serp/google/organic/task_post",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
[
'keyword' => 'albert einstein',
'language_code' => 'en',
'location_code' => 2840
],
[
'keyword' => 'albert einstein',
'language_name' => 'English',
'location_name' => 'United States',
'pingback_url' => 'https://your-server.com/pingscript?id=$id&tag=$tag',
'priority' => 2,
'tag' => 'some_string_123'
],
[
'postback_data' => 'html',
'postback_url' => 'https://your-server.com/postbackscript',
'url' => 'https://www.google.co.uk/search?q=albert%20einstein&hl=en&gl=GB&uule=w+CAIQIFISCXXeIa8LoNhHEZkq1d1aOpZS'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.aisa.one/apis/v1/dataforseo/serp/google/organic/task_post"
payload := strings.NewReader("[\n {\n \"keyword\": \"albert einstein\",\n \"language_code\": \"en\",\n \"location_code\": 2840\n },\n {\n \"keyword\": \"albert einstein\",\n \"language_name\": \"English\",\n \"location_name\": \"United States\",\n \"pingback_url\": \"https://your-server.com/pingscript?id=$id&tag=$tag\",\n \"priority\": 2,\n \"tag\": \"some_string_123\"\n },\n {\n \"postback_data\": \"html\",\n \"postback_url\": \"https://your-server.com/postbackscript\",\n \"url\": \"https://www.google.co.uk/search?q=albert%20einstein&hl=en&gl=GB&uule=w+CAIQIFISCXXeIa8LoNhHEZkq1d1aOpZS\"\n }\n]")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.aisa.one/apis/v1/dataforseo/serp/google/organic/task_post")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("[\n {\n \"keyword\": \"albert einstein\",\n \"language_code\": \"en\",\n \"location_code\": 2840\n },\n {\n \"keyword\": \"albert einstein\",\n \"language_name\": \"English\",\n \"location_name\": \"United States\",\n \"pingback_url\": \"https://your-server.com/pingscript?id=$id&tag=$tag\",\n \"priority\": 2,\n \"tag\": \"some_string_123\"\n },\n {\n \"postback_data\": \"html\",\n \"postback_url\": \"https://your-server.com/postbackscript\",\n \"url\": \"https://www.google.co.uk/search?q=albert%20einstein&hl=en&gl=GB&uule=w+CAIQIFISCXXeIa8LoNhHEZkq1d1aOpZS\"\n }\n]")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aisa.one/apis/v1/dataforseo/serp/google/organic/task_post")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "[\n {\n \"keyword\": \"albert einstein\",\n \"language_code\": \"en\",\n \"location_code\": 2840\n },\n {\n \"keyword\": \"albert einstein\",\n \"language_name\": \"English\",\n \"location_name\": \"United States\",\n \"pingback_url\": \"https://your-server.com/pingscript?id=$id&tag=$tag\",\n \"priority\": 2,\n \"tag\": \"some_string_123\"\n },\n {\n \"postback_data\": \"html\",\n \"postback_url\": \"https://your-server.com/postbackscript\",\n \"url\": \"https://www.google.co.uk/search?q=albert%20einstein&hl=en&gl=GB&uule=w+CAIQIFISCXXeIa8LoNhHEZkq1d1aOpZS\"\n }\n]"
response = http.request(request)
puts response.read_body{
"cost": 123,
"status_code": 123,
"status_message": "<string>",
"tasks_count": 123,
"tasks_error": 123,
"time": "<string>",
"version": "<string>",
"tasks": [
{
"cost": 123,
"data": {},
"id": "<string>",
"path": [
"<string>"
],
"result_count": 123,
"status_code": 123,
"status_message": "<string>",
"time": "<string>",
"result": {}
}
]
}Setting Google Organic SERP Tasks
Queues the ranked results for a keyword on Google, returning a task id in tasks[0].
# Fixed reference example. Playground inputs do not update this sample.
curl --request POST \
--url https://api.aisa.one/apis/v1/dataforseo/serp/google/organic/task_post \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '[
{
"language_code": "en",
"location_code": 2840,
"keyword": "albert einstein"
},
{
"language_name": "English",
"location_name": "United States",
"keyword": "albert einstein",
"priority": 2,
"tag": "some_string_123",
"pingback_url": "https://your-server.com/pingscript?id=$id&tag=$tag"
},
{
"url": "https://www.google.co.uk/search?q=albert%20einstein&hl=en&gl=GB&uule=w+CAIQIFISCXXeIa8LoNhHEZkq1d1aOpZS",
"postback_data": "html",
"postback_url": "https://your-server.com/postbackscript"
}
]'curl --request POST \
--url https://api.aisa.one/apis/v1/dataforseo/serp/google/organic/task_post \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
[
{
"keyword": "albert einstein",
"language_code": "en",
"location_code": 2840
},
{
"keyword": "albert einstein",
"language_name": "English",
"location_name": "United States",
"pingback_url": "https://your-server.com/pingscript?id=$id&tag=$tag",
"priority": 2,
"tag": "some_string_123"
},
{
"postback_data": "html",
"postback_url": "https://your-server.com/postbackscript",
"url": "https://www.google.co.uk/search?q=albert%20einstein&hl=en&gl=GB&uule=w+CAIQIFISCXXeIa8LoNhHEZkq1d1aOpZS"
}
]
'import requests
url = "https://api.aisa.one/apis/v1/dataforseo/serp/google/organic/task_post"
payload = [
{
"keyword": "albert einstein",
"language_code": "en",
"location_code": 2840
},
{
"keyword": "albert einstein",
"language_name": "English",
"location_name": "United States",
"pingback_url": "https://your-server.com/pingscript?id=$id&tag=$tag",
"priority": 2,
"tag": "some_string_123"
},
{
"postback_data": "html",
"postback_url": "https://your-server.com/postbackscript",
"url": "https://www.google.co.uk/search?q=albert%20einstein&hl=en&gl=GB&uule=w+CAIQIFISCXXeIa8LoNhHEZkq1d1aOpZS"
}
]
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify([
{keyword: 'albert einstein', language_code: 'en', location_code: 2840},
{
keyword: 'albert einstein',
language_name: 'English',
location_name: 'United States',
pingback_url: 'https://your-server.com/pingscript?id=$id&tag=$tag',
priority: 2,
tag: 'some_string_123'
},
{
postback_data: 'html',
postback_url: 'https://your-server.com/postbackscript',
url: 'https://www.google.co.uk/search?q=albert%20einstein&hl=en&gl=GB&uule=w+CAIQIFISCXXeIa8LoNhHEZkq1d1aOpZS'
}
])
};
fetch('https://api.aisa.one/apis/v1/dataforseo/serp/google/organic/task_post', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aisa.one/apis/v1/dataforseo/serp/google/organic/task_post",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
[
'keyword' => 'albert einstein',
'language_code' => 'en',
'location_code' => 2840
],
[
'keyword' => 'albert einstein',
'language_name' => 'English',
'location_name' => 'United States',
'pingback_url' => 'https://your-server.com/pingscript?id=$id&tag=$tag',
'priority' => 2,
'tag' => 'some_string_123'
],
[
'postback_data' => 'html',
'postback_url' => 'https://your-server.com/postbackscript',
'url' => 'https://www.google.co.uk/search?q=albert%20einstein&hl=en&gl=GB&uule=w+CAIQIFISCXXeIa8LoNhHEZkq1d1aOpZS'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.aisa.one/apis/v1/dataforseo/serp/google/organic/task_post"
payload := strings.NewReader("[\n {\n \"keyword\": \"albert einstein\",\n \"language_code\": \"en\",\n \"location_code\": 2840\n },\n {\n \"keyword\": \"albert einstein\",\n \"language_name\": \"English\",\n \"location_name\": \"United States\",\n \"pingback_url\": \"https://your-server.com/pingscript?id=$id&tag=$tag\",\n \"priority\": 2,\n \"tag\": \"some_string_123\"\n },\n {\n \"postback_data\": \"html\",\n \"postback_url\": \"https://your-server.com/postbackscript\",\n \"url\": \"https://www.google.co.uk/search?q=albert%20einstein&hl=en&gl=GB&uule=w+CAIQIFISCXXeIa8LoNhHEZkq1d1aOpZS\"\n }\n]")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.aisa.one/apis/v1/dataforseo/serp/google/organic/task_post")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("[\n {\n \"keyword\": \"albert einstein\",\n \"language_code\": \"en\",\n \"location_code\": 2840\n },\n {\n \"keyword\": \"albert einstein\",\n \"language_name\": \"English\",\n \"location_name\": \"United States\",\n \"pingback_url\": \"https://your-server.com/pingscript?id=$id&tag=$tag\",\n \"priority\": 2,\n \"tag\": \"some_string_123\"\n },\n {\n \"postback_data\": \"html\",\n \"postback_url\": \"https://your-server.com/postbackscript\",\n \"url\": \"https://www.google.co.uk/search?q=albert%20einstein&hl=en&gl=GB&uule=w+CAIQIFISCXXeIa8LoNhHEZkq1d1aOpZS\"\n }\n]")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aisa.one/apis/v1/dataforseo/serp/google/organic/task_post")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "[\n {\n \"keyword\": \"albert einstein\",\n \"language_code\": \"en\",\n \"location_code\": 2840\n },\n {\n \"keyword\": \"albert einstein\",\n \"language_name\": \"English\",\n \"location_name\": \"United States\",\n \"pingback_url\": \"https://your-server.com/pingscript?id=$id&tag=$tag\",\n \"priority\": 2,\n \"tag\": \"some_string_123\"\n },\n {\n \"postback_data\": \"html\",\n \"postback_url\": \"https://your-server.com/postbackscript\",\n \"url\": \"https://www.google.co.uk/search?q=albert%20einstein&hl=en&gl=GB&uule=w+CAIQIFISCXXeIa8LoNhHEZkq1d1aOpZS\"\n }\n]"
response = http.request(request)
puts response.read_body{
"cost": 123,
"status_code": 123,
"status_message": "<string>",
"tasks_count": 123,
"tasks_error": 123,
"time": "<string>",
"version": "<string>",
"tasks": [
{
"cost": 123,
"data": {},
"id": "<string>",
"path": [
"<string>"
],
"result_count": 123,
"status_code": 123,
"status_message": "<string>",
"time": "<string>",
"result": {}
}
]
}id in tasks[0].id. The charge lands here; fetching is free, including re-fetching. Wrapped in DataForSEO’s envelope: data in tasks[0].result, outcome in tasks[0].status_code - a rejected request still returns HTTP 200. The live twin answers immediately and is simpler for a single query; queue when the batch would outlast a tool call.
Example
curl -X POST "https://api.aisa.one/apis/v1/dataforseo/serp/google/organic/task_post" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer YOUR_API_KEY" \
-d '[{"keyword": "...", "location_name": "...", "location_code": "..."}]'
Request contract
- Method and path: POST /apis/v1/dataforseo/serp/google/organic/task_post
- Availability: enabled
- Request URL template: https://api.aisa.one/apis/v1/dataforseo/serp/google/organic/task_post
- Runtime facts: 6ab8fec17df1d5dcdff2e036dd1eb40587752b774ec040ab4eb0cc6946c3dd3c
{
"operationId": "post_dataforseo_serp_google_organic_submit",
"method": "POST",
"path": "/apis/v1/dataforseo/serp/google/organic/task_post",
"servers": [
{
"url": "https://api.aisa.one"
}
],
"parameters": [],
"security": [
{
"bearerAuth": []
}
],
"requestBody": {
"content": {
"application/json": {
"schema": {
"example": [
{
"keyword": "albert einstein",
"language_code": "en",
"location_code": 2840
},
{
"keyword": "albert einstein",
"language_name": "English",
"location_name": "United States",
"pingback_url": "https://your-server.com/pingscript?id=$id&tag=$tag",
"priority": 2,
"tag": "some_string_123"
},
{
"postback_data": "html",
"postback_url": "https://your-server.com/postbackscript",
"url": "https://www.google.co.uk/search?q=albert%20einstein&hl=en&gl=GB&uule=w+CAIQIFISCXXeIa8LoNhHEZkq1d1aOpZS"
}
],
"items": {
"oneOf": [
{
"properties": {
"browser_screen_height": {
"description": "<p><em>browser screen height</em><p>optional field<p>you can set a custom browser screen height to calculate pixel rankings for a particular device;<p>can be specified within the following range: <code>240-9999</code>;<p>by default, the parameter is set to:<p><code>1080</code> for <code>desktop</code>;<p><code>640</code> for <code>mobile</code> on <code>android</code>;<p><code>812</code> for <code>mobile</code> on <code>iOS</code>;<p><strong>Note:</strong> to use this parameter, set <code>calculate_rectangles</code> to <code>true</code></p>",
"type": [
"integer",
"null"
]
},
"browser_screen_resolution_ratio": {
"description": "<p><em>browser screen resolution ratio</em><p>optional field<p>you can set a custom browser screen resolution ratio to calculate pixel rankings for a particular device;<p>can be specified within the following range: <code>0.5-3</code>;<p>by default, the parameter is set to:<p><code>1</code> for <code>desktop</code>;<p><code>3</code> for <code>mobile</code> on <code>android</code>;<p><code>3</code> for <code>mobile</code> on <code>iOS</code>;<p><strong>Note:</strong> to use this parameter, set <code>calculate_rectangles</code> to <code>true</code></p>",
"type": [
"integer",
"null"
]
},
"browser_screen_width": {
"description": "<p><em>browser screen width</em><p>optional field<p>you can set a custom browser screen width to calculate pixel rankings for a particular device;<p>can be specified within the following range: <code>240-9999</code>;<p>by default, the parameter is set to:<p><code>1920</code> for <code>desktop</code>;<p><code>360</code> for <code>mobile</code> on <code>android</code>;<p><code>375</code> for <code>mobile</code> on <code>iOS</code>;<p><strong>Note:</strong> to use this parameter, set <code>calculate_rectangles</code> to <code>true</code></p>",
"format": "int64",
"type": [
"integer",
"null"
]
},
"calculate_rectangles": {
"description": "<p><em>calcualte pixel rankings for SERP elements in advanced results</em><p>optional field<p>pixel ranking refers to the distance between the result snippet and top left corner of the screen;<p><a href=\"https://dataforseo.com/help-center/pixel-ranking-in-serp-api\">Visit Help Center to learn more>></a><p>by default, the parameter is set to <code>false</code><p><strong>Note:</strong> provider usage may increase for using this parameter</p>\n\nFor current API pricing, see the published x-aisa-pricing metadata. Where supported, obtain a quote for your exact request.",
"type": [
"boolean",
"null"
]
},
"depth": {
"description": "<p><em>parsing depth</em><p>optional field<p>number of results in SERP<p><strong>default value: <code>10</code></strong><p>max value: <code>700</code></p><br><strong>Your account will be billed per each SERP containing up to 10 results;</strong><p>Setting depth above 10 may result in additional charges <a href=\"https://dataforseo.com/help-center/how-many-results-scraped\" rel=\"noopener noreferrer\" target=\"_blank\">if the search engine returns more than 10 results</a>;<p>The cost can be calculated on the <a title=\"Pricing\" href=\"https://dataforseo.com/pricing/serp/google-organic-serp-api\" target=\"_blank\" rel=\"noopener noreferrer\">Pricing</a> page.",
"type": [
"integer",
"null"
]
},
"device": {
"description": "<p><em>device type</em><p>optional field<p>return results for a specific device type<p>can take the values:<code>desktop</code>, <code>mobile</code><p>default value: <code>desktop</code></p>",
"type": [
"string",
"null"
]
},
"expand_ai_overview": {
"description": "<p><em>expand ai overview</em><p>optional field<p>set to <code>true</code> to expand the <code>ai_overview</code> item;<p>default value: <code>false</code>;<p><strong>Note:</strong> this parameter applies only to <a href=\"/v3/serp/google/organic/task_get/html/?bash\" rel=\"noopener noreferrer\" target=\"_blank\">HTML task results</a></p>",
"type": [
"boolean",
"null"
]
},
"find_targets_in": {
"description": "<p><em>SERP element types to check for targets</em><p>optional field<p>to enable this parameter, <code>stop_crawl_on_match</code> must also be enabled<p>specifies which SERP element types should be checked for target matches<p>if not specified, all first-level elements with <code>url</code> and <code>domain</code> fields are checked for targets<p>possible values: <code>organic</code>, <code>paid</code>, <code>local_pack</code>, <code>featured_snippet</code>, <code>events</code>, <code>google_flights</code>, <code>images</code>, <code>jobs</code>, <code>knowledge_graph</code>, <code>local_service</code>, <code>map</code>, <code>scholarly_articles</code>, <code>third_party_reviews</code>, <code>twitter</code><p><strong>Note:</strong> cannot contain the same element types as <code>ignore_targets_in</code><p>example:<p><code>\"find_targets_in\": [\"organic\", \"featured_snippet\"]</code><p>learn more about this parameter on our <a href=\"https://dataforseo.com/help-center/how-to-use-new-crawl-control-parameters-in-google-organic-serp-api\" target=\"_blank\">Help Center</a></p>",
"items": {
"type": "string"
},
"type": [
"array",
"null"
]
},
"group_organic_results": {
"description": "<p><em>display related results</em><p>optional field<p>if set to <code>true</code>, the <code>related_result</code> element in the response will be provided as a snippet of its parent organic result;<p>if set to <code>false</code>, the <code>related_result</code> element will be provided as a separate organic result;<p>default value: <code>true</code></p>",
"type": [
"boolean",
"null"
]
},
"ignore_targets_in": {
"description": "<p><em>SERP element types to exclude from target search</em><p>optional field<p>to enable this parameter, <code>stop_crawl_on_match</code> must also be enabled<p>specifies which SERP element types should be excluded when searching for target matches<p>possible values: <code>organic</code>, <code>paid</code>, <code>local_pack</code>, <code>featured_snippet</code>, <code>events</code>, <code>google_flights</code>, <code>images</code>, <code>jobs</code>, <code>knowledge_graph</code>, <code>local_service</code>, <code>map</code>, <code>scholarly_articles</code>, <code>third_party_reviews</code>, <code>twitter</code><p><strong>Note:</strong> cannot contain the same element types as <code>find_targets_in</code><p>example:<p><code>\"ignore_targets_in\": [\"paid\", \"images\"]</code><p>learn more about this parameter on our <a href=\"https://dataforseo.com/help-center/how-to-use-new-crawl-control-parameters-in-google-organic-serp-api\" target=\"_blank\">Help Center</a></p>",
"items": {
"type": "string"
},
"type": [
"array",
"null"
]
},
"keyword": {
"description": "<p><em>keyword</em><p><strong>required field</strong><p>you can specify <strong>up to 700 characters</strong> in the <code>keyword</code> field<p>all %## will be decoded (plus character ‘+’ will be decoded to a space character)<p>if you need to use the “%” character for your <code>keyword</code>, please specify it as “%25”;<p>if you need to use the “+” character for your <code>keyword</code>, please specify it as “%2B”;<p>if this field contains such parameters as <em>‘allinanchor:’, ‘allintext:’, ‘allintitle:’, ‘allinurl:’, ‘cache:’, ‘define:’, ‘filetype:’, ‘id:’, ‘inanchor:’, ‘info:’, ‘intext:’, ‘intitle:’, ‘inurl:’, ‘link:’, ‘site:’, <strong>the charge per task will be multiplied by 5</strong></em><br><p>learn more about rules and limitations of <code>keyword</code> and <code>keywords</code> fields in DataForSEO APIs in this <a href=\"https://dataforseo.com/help-center/rules-and-limitations-of-keyword-and-keywords-fields-in-dataforseo-apis\" rel=\"noopener noreferrer\" target=\"_blank\">Help Center article</a></p>",
"type": "string"
},
"language_code": {
"description": "<p><em>search engine language code</em><p><strong>required field if you don't specify</strong> <code>language_name</code><p><strong>if you use this field, you don't need to specify <code>language_name</code></strong><p>you can receive the list of available languages of the search engine with their <code>language_code</code> by making a separate request to the <code>https://api.dataforseo.com/v3/serp/google/languages</code><em><p></em>example:<em><p></em><code class=\"long-string\">en</code></p>",
"type": "string"
},
"language_name": {
"description": "<p><em>full name of search engine language</em><p><strong>required field if you don't specify</strong> <code>language_code</code><p><strong>if you use this field, you don't need to specify <code>language_code</code></strong><p>you can receive the list of available languages of the search engine with their <code>language_name</code> by making a separate request to the <code>https://api.dataforseo.com/v3/serp/google/languages</code><p>example:<p><code class=\"long-string\">English</code></p>",
"type": "string"
},
"load_async_ai_overview": {
"description": "<p><em>load asynchronous ai overview</em><p>optional field<p>set to <code>true</code> to obtain <code>ai_overview</code> items is SERPs even if they are loaded asynchronously;<p>if set to <code>false</code>, you will only obtain <code>ai_overview</code> items from cache;<p>default value: <code>false</code><p><strong>Note:</strong> provider usage may increase for using this parameter;<p>if the element is absent or contains <code>\"asynchronous_ai_overview\": false</code>, all extra charges will be returned to your account balance</p>\n\nFor current API pricing, see the published x-aisa-pricing metadata. Where supported, obtain a quote for your exact request.",
"type": [
"boolean",
"null"
]
},
"location_code": {
"description": "<p><em>search engine location code</em><p><strong>required field if you don't specify</strong> <code>location_name</code> or <code>location_coordinate</code><p><strong>if you use this field, you don't need to specify <code>location_name</code> or <code>location_coordinate</code></strong><p>you can receive the list of available locations of the search engines with their <code>location_code</code> by making a separate request to the <code>https://api.dataforseo.com/v3/serp/google/locations</code><p>example:<p><code class=\"long-string\">2840</code></p>",
"type": "integer"
},
"location_coordinate": {
"description": "<p><em>GPS coordinates of a location</em><p><strong>required field if you don't specify</strong> <code>location_name</code> or <code>location_code</code><p><strong>if you use this field, you don't need to specify <code>location_name</code> or <code>location_code</code></strong><p><code>location_coordinate</code> parameter should be specified in the <em>\"latitude,longitude,radius\"</em> format<p>the maximum number of decimal digits for <em>\"latitude\"</em> and <em>\"longitude\"</em>: 7<p>the minimum value for <em>\"radius\"</em>: 199 (mm)<p>the maximum value for <em>\"radius\"</em>: 199999 (mm)<p>example:<p><code class=\"long-string\">53.476225,-2.243572,200</code></p>",
"type": "string"
},
"location_name": {
"description": "<p><em>full name of search engine location</em><p><strong>required field if you don't specify</strong> <code>location_code</code> or <code>location_coordinate</code><p><strong>if you use this field, you don't need to specify <code>location_code</code> or <code>location_coordinate</code></strong><p>you can receive the list of available locations of the search engine with their <code>location_name</code> by making a separate request to the <code>https://api.dataforseo.com/v3/serp/google/locations</code><p>example:<p><code class=\"long-string\">London,England,United Kingdom</code></p>",
"type": "string"
},
"match_type": {
"description": "<p><em>target match type</em><p><strong>required field if <code>stop_crawl_on_match</code> is specified</strong><p>type of match for the <code>match_value</code><p>possible values:<p><code>domain</code> – specific domain or subdomain<p><code>with_subdomains</code> – main domain and subdomains<p><code>wildcard</code> – wildcard pattern</p>",
"type": "string"
},
"match_value": {
"description": "<p><em>target domain, subdomain, or wildcard value</em><p><strong>required field if <code>stop_crawl_on_match</code> is specified</strong><p>specify a target domain, subdomain, or wildcard value;<p><strong>Note:</strong> domain or subdomain must be specified without a request protocol;<p>example: <code>\"match_value\": \"dataforseo.com\"</code>,<p><code>\"match_value\": \"/blog/post-*\"</code></p>",
"type": "string"
},
"max_crawl_pages": {
"description": "<p><em>page crawl limit</em><p>optional field<p>number of search results pages to crawl<p>max value: <code>100</code><p><strong>Note:</strong> you will be charged for each page crawled (10 organic results per page);<p>learn more about pricing on our <a href=\"https://dataforseo.com/pricing/serp/google-organic-serp-api\" target=\"_blank\">Pricing</a> page;<p><strong>Note#2:</strong> the <code>max_crawl_pages</code> and <code>depth</code> parameters complement each other;<p>learn more at <a href=\"https://dataforseo.com/help-center/what-is-max-crawl-pages-and-how-does-it-work\" rel=\"noopener noreferrer\" target=\"_blank\">our help center</a></p>",
"type": [
"integer",
"null"
]
},
"os": {
"description": "<p><em>device operating system</em><p>optional field<p>if you specify <code>desktop</code> in the <code>device</code> field, choose from the following values: <code>windows</code>, <code>macos</code><p>default value: <code>windows</code><p>if you specify <code>mobile</code> in the <code>device</code> field, choose from the following values: <code>android</code>, <code>ios</code><p>default value: <code>android</code></p>",
"type": [
"string",
"null"
]
},
"people_also_ask_click_depth": {
"description": "<p><em>clicks on the corresponding element</em><p>optional field<p>specify the click depth on the <code>people_also_ask</code> element to get additional <code>people_also_ask_element</code> items;<p><strong><p>if the element is absent or we perform fewer clicks than you specified, all extra charges will be returned to your account balance<p>possible values: from <code>1</code> to <code>4</code></p>\n\nFor current API pricing, see the published x-aisa-pricing metadata. Where supported, obtain a quote for your exact request.",
"type": [
"integer",
"null"
]
},
"pingback_url": {
"description": "<p><em>notification URL of a completed task</em><p>optional field<p>when a task is completed we will notify you by GET request sent to the URL you have specified<p>you can use the ‘$id’ string as a <code>$id</code> variable and ‘$tag’ as urlencoded <code>$tag</code> variable. We will set the necessary values before sending the request.<p>example:<p><code>http://your-server.com/pingscript?id=$id</code><p><code>http://your-server.com/pingscript?id=$id&tag=$tag</code><p><strong>Note:</strong> special characters in <code>pingback_url</code> will be urlencoded;<p>i.a., the <code>#</code> character will be encoded into <code>%23</code></p><br><p>learn more on our <a href=\"https://dataforseo.com/help-center/pingbacks-postbacks-with-dataforseo-api\" target=\"_blank\" rel=\"noopener noreferrer\">Help Center</a></p>",
"type": [
"string",
"null"
]
},
"postback_data": {
"description": "<p><em>postback_url datatype</em><p><strong>required field if you specify <code>postback_url</code></strong><p>corresponds to the datatype that will be sent to your server<p>possible values:<p><code>regular</code>, <code>advanced</code>, <code>html</code></p>",
"type": "string"
},
"postback_url": {
"description": "<p><em>URL for sending task results</em><p>optional field<p>once the task is completed, we will send a POST request with its results compressed in the <code>gzip</code> format to the <code>postback_url</code> you specified<p>you can use the ‘$id’ string as a <code>$id</code> variable and ‘$tag’ as urlencoded <code>$tag</code> variable. We will set the necessary values before sending the request<p>example:<p><code>http://your-server.com/postbackscript?id=$id</code><p><code>http://your-server.com/postbackscript?id=$id&tag=$tag</code><p><strong>Note:</strong> special characters in <code>postback_url</code> will be urlencoded;<p>i.a., the <code>#</code> character will be encoded into <code>%23</code></p><br><p>learn more on our <a href=\"https://dataforseo.com/help-center/pingbacks-postbacks-with-dataforseo-api\" target=\"_blank\" rel=\"noopener noreferrer\">Help Center</a></p>",
"type": [
"string",
"null"
]
},
"priority": {
"description": "<p><em>task priority</em><p>optional field<p>can take the following values:<p>1 – normal execution priority (set by default);<p>2 – high execution priority</p><br>You will be additionally charged for the tasks with high execution priority.<p>The cost can be calculated on the <a title=\"Pricing\" href=\"https://dataforseo.com/pricing/serp/google-organic-serp-api\" target=\"_blank\" rel=\"noopener noreferrer\">Pricing</a> page.",
"type": [
"integer",
"null"
]
},
"remove_from_url": {
"description": "<p><em>remove specific parameters from URLs</em><p>optional field<p>using this field, you can specify up to 10 parameters to remove from URLs in the result<p>example:<p><code>\"remove_from_url\": [\"srsltid\"]</code></p>",
"items": {
"type": "string"
},
"type": [
"array",
"null"
]
},
"se_domain": {
"description": "<p><em>search engine domain</em><p>optional field<p>we choose the relevant search engine domain automatically according to the location and language you specify<p>however, you can set a custom search engine domain in this field<p>example:<p><code><em>google.co.uk</em>, <em>google.com.au</em>, <em>google.de</em></code>, etc.</p>",
"type": [
"string",
"null"
]
},
"search_param": {
"description": "<p><em>additional parameters of the search query</em><p>optional field<p><a href=\"https://dataforseo.com/help-center/google-search-engine-parameters-and-how-to-use-them\">get the list of available parameters and additional details here</a></p><br><strong>Note:</strong> the following search engine parameters are not supported and will be automatically unset if specified: <code>lr</code>, <code>cr</code>, <code>as_qdr</code>, <code>as_sitesearch</code>, <code>as_occt</code>, <code>as_filetype</code>.",
"type": [
"string",
"null"
]
},
"stop_crawl_on_match": {
"description": "array of targets to stop crawling\noptional field\nif specified, the response will contain SERP results up to and including the specified match_value;\nyou can specify up to 10 target values in this array\nexample:\n\"stop_crawl_on_match\":[{\"match_value\":\"dataforseo.com\",\"match_type\":\"with_subdomains\"}]\nlearn more about this parameter on our Help Center - https://dataforseo.com/help-center/using-the-stop_crawl_on_match-parameter-in-serp-api\nYour account will be billed per each SERP crawled through the specified targets",
"items": {
"oneOf": [
{
"properties": {
"match_type": {
"description": "target match type\nrequired field if stop_crawl_on_match is specified;\ntype of match for the match_value\npossible values: domain, with_subdomains, wildcard",
"type": [
"string",
"null"
]
},
"match_value": {
"description": "arget domain or wildcard value\nrequired field if stop_crawl_on_match is specified;\nspecify a target domain or wildcard value;\nNote: domain name must be specified without a request protocol;\nexample: dataforseo.com",
"type": [
"string",
"null"
]
}
},
"type": "object"
}
],
"type": [
"object",
"null"
]
},
"type": [
"array",
"null"
]
},
"tag": {
"description": "<p><em>user-defined task identifier</em><p>optional field<p><em>the character limit is 255</em><p>you can use this parameter to identify the task and match it with the result<p>you will find the specified <code>tag</code> value in the <code>data</code> object of the response</p>",
"type": [
"string",
"null"
]
},
"target_search_mode": {
"description": "<p><em>target matching mode</em><p>optional field<p>to enable this parameter, <code>stop_crawl_on_match</code> must also be enabled<p>defines how the crawl should stop when multiple targets are specified in <code>stop_crawl_on_match</code><p>possible values: <code>all</code>, <code>any</code><p><code>all</code> – the crawl stops only when all specified targets are found<p><code>any</code> – the crawl stops when any single target is found<p>default value: <code>any</code><p>learn more about this parameter on our <a href=\"https://dataforseo.com/help-center/how-to-use-new-crawl-control-parameters-in-google-organic-serp-api\" target=\"_blank\">Help Center</a></p>",
"type": [
"string",
"null"
]
},
"url": {
"description": "<p><em>direct URL of the search query</em><p>optional field<p>you can specify a direct URL and we will sort it out to the necessary fields. Note that this method is the most difficult for our API to process and also requires you to specify the exact language and location in the URL. In most cases, we wouldn’t recommend using this method.<p>example:<p><code class=\"long-string\">https://www.google.co.uk/search?q=%20rank%20tracker%20api&hl=en&gl=GB&uule=w+CAIQIFISCXXeIa8LoNhHEZkq1d1aOpZS</code></p><br><strong>Note:</strong> the following search engine parameters are not supported and will be automatically unset if specified in the URL: <code>lr</code>, <code>cr</code>, <code>as_qdr</code>, <code>as_sitesearch</code>, <code>as_occt</code>, <code>as_filetype</code>.",
"type": [
"string",
"null"
]
}
},
"type": "object"
}
],
"type": [
"object",
"null"
]
},
"type": "array"
}
}
}
},
"x-aisa-status": "enabled",
"x-aisa-pricing": {
"cost_contract": "response_usd",
"customer_multiplier": 1.0,
"customer_pricing": "provider_cost_multiplier",
"default_request_estimate_usd": 0.02,
"estimate_source": "profile_seed",
"evidence_source": "response_body"
},
"components": {
"securitySchemes": {
"bearerAuth": {
"scheme": "bearer",
"type": "http"
}
}
}
}
Cost and request rules
Usage-based billing; Default request estimate: $0.02 USD (not a fixed price). Account-specific pricing and final settlement may differ. Published reference values are not an account-specific quote or a settled charge. For endpoints supporting X-AISA-Cost-Mode: quote, obtain a free quote for your exact request before execution; reconcile the settled cost with response metadata and Usage Logs. USD amounts use 1,000,000 integer micro-USD per dollar.- Default request reference estimate (USD): 0.02
- Cost contract: response_usd
- Published reference multiplier: 1.0
- Settlement evidence source: response_body
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
browser screen height
optional field
you can set a custom browser screen height to calculate pixel rankings for a particular device;
can be specified within the following range: 240-9999;
by default, the parameter is set to:
1080 for desktop;
640 for mobile on android;
812 for mobile on iOS;
Note: to use this parameter, set calculate_rectangles to true
browser screen resolution ratio
optional field
you can set a custom browser screen resolution ratio to calculate pixel rankings for a particular device;
can be specified within the following range: 0.5-3;
by default, the parameter is set to:
1 for desktop;
3 for mobile on android;
3 for mobile on iOS;
Note: to use this parameter, set calculate_rectangles to true
browser screen width
optional field
you can set a custom browser screen width to calculate pixel rankings for a particular device;
can be specified within the following range: 240-9999;
by default, the parameter is set to:
1920 for desktop;
360 for mobile on android;
375 for mobile on iOS;
Note: to use this parameter, set calculate_rectangles to true
calcualte pixel rankings for SERP elements in advanced results
optional field
pixel ranking refers to the distance between the result snippet and top left corner of the screen;
Visit Help Center to learn more>>
by default, the parameter is set to false
Note: provider usage may increase for using this parameter
For current API pricing, see the published x-aisa-pricing metadata. Where supported, obtain a quote for your exact request.
parsing depth
optional field
number of results in SERP
default value: 10
max value: 700
Your account will be billed per each SERP containing up to 10 results;
Setting depth above 10 may result in additional charges if the search engine returns more than 10 results;
The cost can be calculated on the Pricing page.
device type
optional field
return results for a specific device type
can take the values:desktop, mobile
default value: desktop
expand ai overview
optional field
set to true to expand the ai_overview item;
default value: false;
Note: this parameter applies only to HTML task results
SERP element types to check for targets
optional field
to enable this parameter, stop_crawl_on_match must also be enabled
specifies which SERP element types should be checked for target matches
if not specified, all first-level elements with url and domain fields are checked for targets
possible values: organic, paid, local_pack, featured_snippet, events, google_flights, images, jobs, knowledge_graph, local_service, map, scholarly_articles, third_party_reviews, twitter
Note: cannot contain the same element types as ignore_targets_in
example:
"find_targets_in": ["organic", "featured_snippet"]
learn more about this parameter on our Help Center
display related results
optional field
if set to true, the related_result element in the response will be provided as a snippet of its parent organic result;
if set to false, the related_result element will be provided as a separate organic result;
default value: true
SERP element types to exclude from target search
optional field
to enable this parameter, stop_crawl_on_match must also be enabled
specifies which SERP element types should be excluded when searching for target matches
possible values: organic, paid, local_pack, featured_snippet, events, google_flights, images, jobs, knowledge_graph, local_service, map, scholarly_articles, third_party_reviews, twitter
Note: cannot contain the same element types as find_targets_in
example:
"ignore_targets_in": ["paid", "images"]
learn more about this parameter on our Help Center
keyword
required field
you can specify up to 700 characters in the keyword field
all %## will be decoded (plus character ‘+’ will be decoded to a space character)
if you need to use the “%” character for your keyword, please specify it as “%25”;
if you need to use the “+” character for your keyword, please specify it as “%2B”;
if this field contains such parameters as ‘allinanchor:’, ‘allintext:’, ‘allintitle:’, ‘allinurl:’, ‘cache:’, ‘define:’, ‘filetype:’, ‘id:’, ‘inanchor:’, ‘info:’, ‘intext:’, ‘intitle:’, ‘inurl:’, ‘link:’, ‘site:’, the charge per task will be multiplied by 5
learn more about rules and limitations of keyword and keywords fields in DataForSEO APIs in this Help Center article
search engine language code
required field if you don't specify language_name
if you use this field, you don't need to specify language_name
you can receive the list of available languages of the search engine with their language_code by making a separate request to the https://api.dataforseo.com/v3/serp/google/languages
example:
en
full name of search engine language
required field if you don't specify language_code
if you use this field, you don't need to specify language_code
you can receive the list of available languages of the search engine with their language_name by making a separate request to the https://api.dataforseo.com/v3/serp/google/languages
example:
English
load asynchronous ai overview
optional field
set to true to obtain ai_overview items is SERPs even if they are loaded asynchronously;
if set to false, you will only obtain ai_overview items from cache;
default value: false
Note: provider usage may increase for using this parameter;
if the element is absent or contains "asynchronous_ai_overview": false, all extra charges will be returned to your account balance
For current API pricing, see the published x-aisa-pricing metadata. Where supported, obtain a quote for your exact request.
search engine location code
required field if you don't specify location_name or location_coordinate
if you use this field, you don't need to specify location_name or location_coordinate
you can receive the list of available locations of the search engines with their location_code by making a separate request to the https://api.dataforseo.com/v3/serp/google/locations
example:
2840
GPS coordinates of a location
required field if you don't specify location_name or location_code
if you use this field, you don't need to specify location_name or location_code
location_coordinate parameter should be specified in the "latitude,longitude,radius" format
the maximum number of decimal digits for "latitude" and "longitude": 7
the minimum value for "radius": 199 (mm)
the maximum value for "radius": 199999 (mm)
example:
53.476225,-2.243572,200
full name of search engine location
required field if you don't specify location_code or location_coordinate
if you use this field, you don't need to specify location_code or location_coordinate
you can receive the list of available locations of the search engine with their location_name by making a separate request to the https://api.dataforseo.com/v3/serp/google/locations
example:
London,England,United Kingdom
target match type
required field if stop_crawl_on_match is specified
type of match for the match_value
possible values:
domain – specific domain or subdomain
with_subdomains – main domain and subdomains
wildcard – wildcard pattern
target domain, subdomain, or wildcard value
required field if stop_crawl_on_match is specified
specify a target domain, subdomain, or wildcard value;
Note: domain or subdomain must be specified without a request protocol;
example: "match_value": "dataforseo.com",
"match_value": "/blog/post-*"
page crawl limit
optional field
number of search results pages to crawl
max value: 100
Note: you will be charged for each page crawled (10 organic results per page);
learn more about pricing on our Pricing page;
Note#2: the max_crawl_pages and depth parameters complement each other;
learn more at our help center
device operating system
optional field
if you specify desktop in the device field, choose from the following values: windows, macos
default value: windows
if you specify mobile in the device field, choose from the following values: android, ios
default value: android
clicks on the corresponding element
optional field
specify the click depth on the people_also_ask element to get additional people_also_ask_element items;
if the element is absent or we perform fewer clicks than you specified, all extra charges will be returned to your account balance
possible values: from 1 to 4
For current API pricing, see the published x-aisa-pricing metadata. Where supported, obtain a quote for your exact request.
notification URL of a completed task
optional field
when a task is completed we will notify you by GET request sent to the URL you have specified
you can use the ‘$id’ string as a $id variable and ‘$tag’ as urlencoded $tag variable. We will set the necessary values before sending the request.
example:
http://your-server.com/pingscript?id=$id
http://your-server.com/pingscript?id=$id&tag=$tag
Note: special characters in pingback_url will be urlencoded;
i.a., the # character will be encoded into %23
learn more on our Help Center
postback_url datatype
required field if you specify postback_url
corresponds to the datatype that will be sent to your server
possible values:
regular, advanced, html
URL for sending task results
optional field
once the task is completed, we will send a POST request with its results compressed in the gzip format to the postback_url you specified
you can use the ‘$id’ string as a $id variable and ‘$tag’ as urlencoded $tag variable. We will set the necessary values before sending the request
example:
http://your-server.com/postbackscript?id=$id
http://your-server.com/postbackscript?id=$id&tag=$tag
Note: special characters in postback_url will be urlencoded;
i.a., the # character will be encoded into %23
learn more on our Help Center
remove specific parameters from URLs
optional field
using this field, you can specify up to 10 parameters to remove from URLs in the result
example:
"remove_from_url": ["srsltid"]
search engine domain
optional field
we choose the relevant search engine domain automatically according to the location and language you specify
however, you can set a custom search engine domain in this field
example:
google.co.uk, google.com.au, google.de, etc.
additional parameters of the search query
optional field
get the list of available parameters and additional details here
Note: the following search engine parameters are not supported and will be automatically unset if specified:
lr, cr, as_qdr, as_sitesearch, as_occt, as_filetype.array of targets to stop crawling optional field if specified, the response will contain SERP results up to and including the specified match_value; you can specify up to 10 target values in this array example: "stop_crawl_on_match":[{"match_value":"dataforseo.com","match_type":"with_subdomains"}] learn more about this parameter on our Help Center - https://dataforseo.com/help-center/using-the-stop_crawl_on_match-parameter-in-serp-api Your account will be billed per each SERP crawled through the specified targets
Show child attributes
Show child attributes
user-defined task identifier
optional field
the character limit is 255
you can use this parameter to identify the task and match it with the result
you will find the specified tag value in the data object of the response
target matching mode
optional field
to enable this parameter, stop_crawl_on_match must also be enabled
defines how the crawl should stop when multiple targets are specified in stop_crawl_on_match
possible values: all, any
all – the crawl stops only when all specified targets are found
any – the crawl stops when any single target is found
default value: any
learn more about this parameter on our Help Center
direct URL of the search query
optional field
you can specify a direct URL and we will sort it out to the necessary fields. Note that this method is the most difficult for our API to process and also requires you to specify the exact language and location in the URL. In most cases, we wouldn’t recommend using this method.
example:
https://www.google.co.uk/search?q=%20rank%20tracker%20api&hl=en&gl=GB&uule=w+CAIQIFISCXXeIa8LoNhHEZkq1d1aOpZS
Note: the following search engine parameters are not supported and will be automatically unset if specified in the URL:
lr, cr, as_qdr, as_sitesearch, as_occt, as_filetype.[
{
"keyword": "albert einstein",
"language_code": "en",
"location_code": 2840
},
{
"keyword": "albert einstein",
"language_name": "English",
"location_name": "United States",
"pingback_url": "https://your-server.com/pingscript?id=$id&tag=$tag",
"priority": 2,
"tag": "some_string_123"
},
{
"postback_data": "html",
"postback_url": "https://your-server.com/postbackscript",
"url": "https://www.google.co.uk/search?q=albert%20einstein&hl=en&gl=GB&uule=w+CAIQIFISCXXeIa8LoNhHEZkq1d1aOpZS"
}
]
Response
Successful operation
total tasks cost, USD
general status code you can find the full list of the response codes here
general informational message you can find the full list of general informational messages here
the number of tasks in the tasks array
the number of tasks in the tasks array returned with an error
total execution time, seconds
the current version of the API
array of tasks
Show child attributes
Show child attributes